Skip to content

List categories

GET
/categories
curl --request GET \
--url 'https://api.ethos.network/api/v2/categories?limit=50&offset=0'
showOnLeaderboard
boolean
showInDailyService
boolean
withUserCount
boolean
limit
number
default: 50
offset
number
0

Successful response

Media typeapplication/json
object
categories
required
Array<object>
object
id
required
number
slug
string
>= 1 characters <= 50 characters
name
required
string
description
string
showOnLeaderboard
required
boolean
showInDailyService
required
boolean
showInDailyBounty
required
boolean
bannerImageUrl
string format: uri
userCount
required
number
total
required
number

Example generated

{
"categories": [
{
"id": 1,
"slug": "example",
"name": "example",
"description": "example",
"showOnLeaderboard": true,
"showInDailyService": true,
"showInDailyBounty": true,
"bannerImageUrl": "https://example.com",
"userCount": 1
}
],
"total": 1
}

Invalid input data

Media typeapplication/json
Invalid input data error (400)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}

Not found

Media typeapplication/json
Not found error (404)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}